Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.number
Class Numberer_frBE

    java.lang.Object
      net.sf.saxon.number.AbstractNumberer
          net.sf.saxon.number.Numberer_frBE

All Implemented Interfaces:
  java.io.Serializable, Numberer

    public class Numberer_frBE

extends AbstractNumberer

Class Numberer_frBE is a number formatter for French as used in Belgium. This one will be activated for language="frBE"

Version:
  1.0
Author:
  Luc Rochefort. Modified for fr-BE by Karel Goossens
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.number.AbstractNumberer
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, kanjiDigits, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_frBE()`

Method Summary
`java.lang.String` | `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`java.lang.String` | `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`protected java.lang.String` | `ordinalSuffix(java.lang.String ordinalParam, long number)` Construct the ordinal suffix for a number, for example "st", "nd", "rd".
`java.lang.String` | `toOrdinalWords(java.lang.String ordinalParam, long number, int wordCase)` Show an ordinal number as English words in a requested case (for example, Twentyfirst)
`java.lang.String` | `toWords(long number)` Show the number as words in title case.
`java.lang.String` | `toWords(long number, int wordCase)` Format a number as English words with specified case options

Methods inherited from class net.sf.saxon.number.AbstractNumberer
`alphaDefault, format, getCalendarName, getCountry, getEraName, getOrdinalSuffixForDateTime, halfDayName, setCountry, toAlpha, toAlphaSequence, toRoman`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_frBE

    public Numberer_frBE()

Method Detail

### ordinalSuffix

    protected java.lang.String ordinalSuffix(java.lang.String ordinalParam,
                                             long number)

  Description copied from class: `AbstractNumberer`
  Construct the ordinal suffix for a number, for example "st", "nd", "rd". The default (language-neutral) implementation returns a zero-length string

  Overrides:
    `ordinalSuffix` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the ordinal attribute (used in non-English language implementations)
    `number` - the number being formatted
  Returns:
    the ordinal suffix to be appended to the formatted number

### toWords

    public java.lang.String toWords(long number)

  Description copied from class: `AbstractNumberer`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Specified by:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
  Returns:
    the number formatted as English words

### toWords

    public java.lang.String toWords(long number,
                                    int wordCase)

  Description copied from class: `AbstractNumberer`
  Format a number as English words with specified case options

  Overrides:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### toOrdinalWords

    public java.lang.String toOrdinalWords(java.lang.String ordinalParam,
                                           long number,
                                           int wordCase)

  Description copied from class: `AbstractNumberer`
  Show an ordinal number as English words in a requested case (for example, Twentyfirst)

  Specified by:
    `toOrdinalWords` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the "ordinal" attribute as supplied by the user
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### monthName

    public java.lang.String monthName(int month,
                                      int minWidth,
                                      int maxWidth)

  Description copied from class: `AbstractNumberer`
  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Specified by:
    `monthName` in class `AbstractNumberer`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public java.lang.String dayName(int day,
                                    int minWidth,
                                    int maxWidth)

  Description copied from class: `AbstractNumberer`
  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Specified by:
    `dayName` in class `AbstractNumberer`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.